Skip to content

Evaluate Batch API Access.

POST
/api/web/namespaces/system/evaluate-batch-api-access
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/evaluate-batch-api-access \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "batch_namespace_api_list": [ { "item_lists": [ { "items": [ { "method": "example", "path": "example" } ], "list_id": "example" } ], "namespace": "example" } ] }'

EvaluateBatchAPIAccess can evaluate multiple lists of API URL, method under a batch of namespaces for a given user of a tenant.

Examples of this operation.

Media typeapplication/json
EvaluateBatchAPIAccessReq

Request body of Evaluate Batch API Access.

object
batch_namespace_api_list
batch_namespace_api_list

List of namespaces and associated API list entries.

Array<object>
<= 75 items
NamespaceAPIListReq

NamespaceAPIListReq holds the namespace and its associated APIs.

object
item_lists
item_lists

A list of request API item lists.

Array<object>
<= 15 items
APIItemListReq

A request API item list.

object
items
items

A list of request API items.

Array<object>
<= 100 items
APIItemReq

A request API item.

object
method
method

HTTP request method.

string
<= 1024 characters
path
path

HTTP request URL path.

string
<= 1024 characters
list_id
list_id

API item list identifier.

string
<= 1024 characters
namespace
namespace

Name of the namespace under which all the URLs in APIItems will be evaluated.

string
>= 6 characters <= 1024 characters
Examplegenerated
{
"batch_namespace_api_list": [
{
"item_lists": [
{
"items": [
{
"method": "example",
"path": "example"
}
],
"list_id": "example"
}
],
"namespace": "example"
}
]
}

A successful response.

Media typeapplication/json
EvaluateBatchAPIAccessResp

Response body of Evaluate Batch API Access.

object
batch_namespace_api_list
batch_namespace_api_list

List of namespaces and associated API list entries.

Array<object>
NamespaceAPIListResp

NamespaceAPIListResp holds the namespace and its associated APIs.

object
item_lists
item_lists

A list of response API item lists.

Array<object>
APIItemListResp

A response API item list. Result will show combined AND output from the result of individual API items.

object
items
items

A list of response API item lists.

Array<object>
APIItemResp

A response API item.

object
addon_services
object
addon_service_names
addon_service_names

List of addon service names.

Array<string>
method
method

HTTP request method.

string
<= 1024 characters
none
object
path
path

HTTP request URL path.

string
<= 1024 characters
result
result

Result after evaluation.

boolean format: boolean
list_id
list_id

API item list identifier.

string
<= 1024 characters
result
result

Combined result after evaluation of items.

boolean format: boolean
namespace
namespace

Name of the namespace under which all the URLs in item lists were evaluated.

string
>= 6 characters <= 1024 characters
Examplegenerated
{
"batch_namespace_api_list": [
{
"item_lists": [
{
"items": [
{
"addon_services": {
"addon_service_names": [
"example"
]
},
"method": "example",
"none": {},
"path": "example",
"result": true
}
],
"list_id": "example",
"result": true
}
],
"namespace": "example"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example